## medialibrary 0.12.3

=== meson_options.txt ===
option('libvlc', type: 'feature', value: 'auto')
option('libjpeg_prefix', type: 'string')
option('tests', type: 'feature', value: 'auto')
option('force_attachment_api', type: 'boolean', value: false)
option('fuzz', type: 'boolean', value: false)
option('libtool_workaround', type: 'boolean', value: false,
  description: 'Force explicit mention of some libraries in the .pc ' +
  'file that would be overwritten by libtool\'s use of -nostdlib')

## medialibrary 0.6.0

=== debian/changelog ===
medialibrary (0.6.0-1ubuntu1) hirsute; urgency=medium

  * d/p/gcc-10.patch: Fix FTBFS with GCC 10 by explicitly including <string>.

 -- Logan Rosen <logan@ubuntu.com>  Sat, 16 Jan 2021 00:29:12 -0500

medialibrary (0.6.0-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:49:32 +0100

medialibrary (0.6.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control: Fix maintainer
  * debian/patches: Removed, fixed upstream

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 07 Nov 2019 21:22:04 +0100

medialibrary (0.4.0-1) unstable; urgency=medium

  * Initial release (Closes: #942723)

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 20 Oct 2019 17:54:38 +0200

=== debian/control ===
Source: medialibrary
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Sebastian Ramacher <sramacher@debian.org>
Build-Depends:
 debhelper-compat (= 12),
 libsqlite3-dev,
 pkg-config
Standards-Version: 4.4.1
Section: libs
Homepage: https://code.videolan.org/videolan/medialibrary
Vcs-Browser: https://salsa.debian.org/multimedia-team/medialibrary
Vcs-Git: https://salsa.debian.org/multimedia-team/medialibrary.git
Rules-Requires-Root: no

Package: libmedialibrary-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
  libmedialibrary0 (= ${binary:Version}),
  ${misc:Depends}
Description: library for managing media files in a media library (development files)
 Medialibrary provides tools for media applications to manage their media
 libraries. It supports media discovery, metadata handling, and a database
 backend. The latter provides ways to easily search and browse the media
 library.
 .
 This package contains the development files for medialibrary.

Package: libmedialibrary0
Architecture: any
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: library for managing media files in a media library (shared library)
 Medialibrary provides tools for media applications to manage their media
 libraries. It supports media discovery, metadata handling, and a database
 backend. The latter provides ways to easily search and browse the media
 library.
 .
 This package contains the shared library.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --without-libvlc

=== debian/watch ===
version=4
https://code.videolan.org/videolan/medialibrary/-/tags \
  .*/medialibrary@ANY_VERSION@@ARCHIVE_EXT@

## medialibrary 0.11.2

=== debian/changelog ===
medialibrary (0.11.2-1) unstable; urgency=medium

  * New upstream version 0.11.2

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 09 Apr 2022 20:39:06 +0200

medialibrary (0.11.1-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository.

  [ Sebastian Ramacher ]
  * debian/control: Add libsqlite3-dev and libxxhash-dev to Depends
  * New upstream version 0.11.1

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 28 Mar 2022 20:32:57 +0200

medialibrary (0.11.0-1) unstable; urgency=medium

  * New upstream version 0.11.0
  * debian/: Use meson/ninja
  * debian/control:
    - Bump Standards-Version
    - Bump debhelper compat to 13
    - Add BD on libxxhash-dev
  * debian/copyright: Update copyright for medialibrary 0.11.0

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 23 Feb 2022 08:39:37 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,15 @@
 Source: medialibrary
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Sebastian Ramacher <sramacher@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  libsqlite3-dev,
- pkg-config
-Standards-Version: 4.4.1
+ libxxhash-dev,
+ meson,
+ ninja-build,
+ pkg-config,
+Standards-Version: 4.6.0
 Section: libs
 Homepage: https://code.videolan.org/videolan/medialibrary
 Vcs-Browser: https://salsa.debian.org/multimedia-team/medialibrary
@@ -19,8 +21,10 @@
 Architecture: any
 Multi-Arch: same
 Depends:
-  libmedialibrary0 (= ${binary:Version}),
-  ${misc:Depends}
+ libmedialibrary0 (= ${binary:Version}),
+ libsqlite3-dev,
+ libxxhash-dev,
+ ${misc:Depends}
 Description: library for managing media files in a media library (development files)
  Medialibrary provides tools for media applications to manage their media
  libraries. It supports media discovery, metadata handling, and a database

## medialibrary 0.12.0

=== debian/changelog ===
medialibrary (0.12.0-1) unstable; urgency=medium

  * New upstream version 0.12.0
  * debian/control: Bump Standards-Version

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 16 Jun 2022 12:57:29 +0200

## medialibrary 0.12.3

=== debian/changelog ===
medialibrary (0.12.3-1) unstable; urgency=medium

  * New upstream version 0.12.3

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 09 Aug 2022 22:39:49 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  meson,
  ninja-build,
  pkg-config,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Section: libs
 Homepage: https://code.videolan.org/videolan/medialibrary
 Vcs-Browser: https://salsa.debian.org/multimedia-team/medialibrary

## medialibrary 0.13.2

=== meson_options.txt ===
--- 
+++ 
@@ -6,3 +6,6 @@
 option('libtool_workaround', type: 'boolean', value: false,
   description: 'Force explicit mention of some libraries in the .pc ' +
   'file that would be overwritten by libtool\'s use of -nostdlib')
+option('long_running_tests', type: 'boolean', value: false,
+  description: 'Enable the long running tests. The binaries will be built ' +
+  'regardless and can still be run manually. This is intended for CI invocations')

=== debian/changelog ===
medialibrary (0.13.2-1) unstable; urgency=medium

  [ Joachim Bauch ]
  * Add patch to fix compilation with gcc-14 (Closes: #1042710)
  * Set bug-related fields for upstream.
  * d/control: Use "pkgconf" instead of "pkg-config".
  * d/control: Bump Standards-Version
  * d/copyright: Fix "Files" wildcard for xxhash.

  [ Sebastian Ramacher ]
  * debian/watch: Upgrade to version 5
  * New upstream version 0.13.2

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 01 Nov 2025 16:37:39 +0100

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,8 @@
  libxxhash-dev,
  meson,
  ninja-build,
- pkg-config,
-Standards-Version: 4.6.1
+ pkgconf,
+Standards-Version: 4.7.2
 Section: libs
 Homepage: https://code.videolan.org/videolan/medialibrary
 Vcs-Browser: https://salsa.debian.org/multimedia-team/medialibrary

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -Dlibvlc=disabled

=== debian/watch ===
Version: 5

Template: GitLab
Dist: https://code.videolan.org/videolan/medialibrary
